package com.jy.business.contract.model.table;

import com.jy.business.contract.model.entity.ContractFundReceived;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class ContractFundReceivedTable extends Table<ContractFundReceived> {

    public static ContractFundReceivedTable contract_fund_received = new ContractFundReceivedTable();
    public static ContractFundReceivedTable cfr = contract_fund_received.as("cfr");

    /**
     * 合同到账id
     */
    public QueryColumn id = this.field(ContractFundReceived::getId);

    /**
     * 合同id
     */
    public QueryColumn contractId = this.field(ContractFundReceived::getContractId);

    /**
     * 到账金额
     */
    public QueryColumn receivedAmount = this.field(ContractFundReceived::getReceivedAmount);

    /**
     * 资金账号id
     */
    public QueryColumn capitalAccountId = this.field(ContractFundReceived::getCapitalAccountId);

    /**
     * 是否认领
     */
    public QueryColumn hasReceived = this.field(ContractFundReceived::getHasReceived);

    /**
     * 到账时间
     */
    public QueryColumn receivedTime = this.field(ContractFundReceived::getReceivedTime);

    /**
     * 资金流水id
     */
    public QueryColumn capitalTransactionsId = this.field(ContractFundReceived::getCapitalTransactionsId);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(ContractFundReceived::getRemark);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(ContractFundReceived::getCreateTime);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(ContractFundReceived::getUpdateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(ContractFundReceived::getUpdateUser);

    private ContractFundReceivedTable() {
        super(ContractFundReceived.class);
    }

    private ContractFundReceivedTable(String alias) {
        super(ContractFundReceived.class, alias);
    }

    public ContractFundReceivedTable as(String alias) {
        return new ContractFundReceivedTable(alias);
    }

}
